package org.cakelab.eval.run;

import java.io.PrintStream;
import java.util.Date;

public class Report {
	
	
	private static void println(PrintStream out, String msg) {
		Date d = new Date();
		out.println(d.toString() + " " + msg);
	}
	
	public static void error(String msg) {
		println(System.err, "[error] " + msg);
		System.exit(-1);
	}

	public static void warn(String msg) {
		println(System.err, "[warn] " + msg);
	}

	public static void info(String msg) {
		println(System.out, "[info] " + msg);
	}
}
